import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取studio链接数据
mock.onGet('./assets/json/view-config.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,{
                "hromhierarchycatpickupgridview": {
            "title": "结构层次类别选择表格视图",
            "caption": "结构层次类别",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HROMHierarchyCatPickupGridView",
            "viewtag": "045cc74f78937b52db67b8239361d181"
        },
        "hrorgcontacteditview": {
            "title": "组织联系信息编辑视图",
            "caption": "组织联系信息",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HROrgContactEditView",
            "viewtag": "0515a652f1ba4326ef610f1d98be95c8"
        },
        "hrorganizationpickupgridview": {
            "title": "组织选择表格视图",
            "caption": "组织",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HROrganizationPickupGridView",
            "viewtag": "07e98f33b8d972b70860e615aaa10b89"
        },
        "hrorganizationgridview": {
            "title": "组织",
            "caption": "组织",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HROrganizationGridView",
            "viewtag": "0d8ac739134947cc5f6545d4041024de"
        },
        "hromhierarchycatgridview": {
            "title": "组织层次结构",
            "caption": "结构层次类别",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HROMHierarchyCatGridView",
            "viewtag": "114f056047eddd92374e982356e59852"
        },
        "hromhierarchycatv_002": {
            "title": "结构层次类别编辑视图",
            "caption": "结构层次类别",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HROMHierarchyCatV_002",
            "viewtag": "1316a3add8f01af03edf978ef21af6b1"
        },
        "hrlegaldashboardview": {
            "title": "法人数据看板",
            "caption": "法人信息",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Base",
            "viewname": "HRLegalDashboardView",
            "viewtag": "18769b2868ba1e27d9392575c10d6bfa"
        },
        "hromhierarchygridview": {
            "title": "组织层次结构表格视图",
            "caption": "组织层次结构",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HROMHierarchyGridView",
            "viewtag": "188f3997d02da7fc34bac190ccd439e6"
        },
        "hromhierarchycatmpickupview": {
            "title": "结构层次类别数据多项选择视图",
            "caption": "结构层次类别",
            "viewtype": "DEMPICKUPVIEW",
            "viewmodule": "Base",
            "viewname": "HROMHierarchyCatMPickupView",
            "viewtag": "1ed4d12d0ea81013bc2a4f19a2bb17e7"
        },
        "hroperationunitv_002": {
            "title": "运营单位信息编辑",
            "caption": "运营单位",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HROperationUnitV_002",
            "viewtag": "26838780ace211d1714a2887e9039888"
        },
        "hroperationunitgridview": {
            "title": "运营单位",
            "caption": "运营单位",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HROperationUnitGridView",
            "viewtag": "286e8ac9eca7b6eb8058fde93995db10"
        },
        "hroperationuniteditview": {
            "title": "运营单位信息编辑",
            "caption": "运营单位",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HROperationUnitEditView",
            "viewtag": "28aca0d4ad43b8ef609172d9be9359c7"
        },
        "hrorgaddressgridview": {
            "title": "组织地址表格视图",
            "caption": "组织地址",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HROrgAddressGridView",
            "viewtag": "2b64c322042da1808776304d21c90e45"
        },
        "hromhierarchycatpickupview": {
            "title": "结构层次类别数据选择视图",
            "caption": "结构层次类别",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Base",
            "viewname": "HROMHierarchyCatPickupView",
            "viewtag": "2cc9f94bc50095005332a93eb120c828"
        },
        "hrorgaddressv_001": {
            "title": "组织地址嵌入组织",
            "caption": "组织地址嵌入组织",
            "viewtype": "DEGRIDVIEW9",
            "viewmodule": "Base",
            "viewname": "HROrgAddressV_001",
            "viewtag": "3110aca6f6c27996e9874cfb924c569f"
        },
        "hrlegalgridview": {
            "title": "法人",
            "caption": "法人",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HRLegalGridView",
            "viewtag": "41036146909ab3f28ff59b80370514b2"
        },
        "pim": {
            "title": "人力资源管理",
            "caption": "基础管理",
            "viewtype": "APPINDEXVIEW",
            "viewmodule": "Ungroup",
            "viewname": "PIM",
            "viewtag": "49CD8BAE-D640-4816-8313-5D8609BB0041"
        },
        "hromhierarchyeditview": {
            "title": "组织层次结构编辑视图",
            "caption": "组织层次结构",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HROMHierarchyEditView",
            "viewtag": "4a61d63445d504cab11cf5f45536b314"
        },
        "hrorgcontactgridview": {
            "title": "组织联系信息表格视图",
            "caption": "组织联系信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HROrgContactGridView",
            "viewtag": "53de2c13a619e20769cdc9dbfa10e1a5"
        },
        "hrorgcontactv_001": {
            "title": "组织联系信息嵌入组织",
            "caption": "组织联系信息嵌入组织",
            "viewtype": "DEGRIDVIEW9",
            "viewmodule": "Base",
            "viewname": "HROrgContactV_001",
            "viewtag": "7692fb3c8e0208004f100d2da5db17e0"
        },
        "hromhierarchypickupview": {
            "title": "组织层次结构数据选择视图",
            "caption": "组织层次结构",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Base",
            "viewname": "HROMHierarchyPickupView",
            "viewtag": "7933350eca0f8dbcb5402928a860c4ec"
        },
        "hromhierarchypickupgridview": {
            "title": "组织层次结构选择表格视图",
            "caption": "组织层次结构",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HROMHierarchyPickupGridView",
            "viewtag": "811880336a6c1c1beeb894c91404544b"
        },
        "hrorganizationmpickupview": {
            "title": "组织数据多项选择视图",
            "caption": "组织",
            "viewtype": "DEMPICKUPVIEW",
            "viewmodule": "Base",
            "viewname": "HROrganizationMPickupView",
            "viewtag": "816f119be45e16d278809f590fb65029"
        },
        "hrorgaddresseditview": {
            "title": "组织地址编辑视图",
            "caption": "组织地址",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HROrgAddressEditView",
            "viewtag": "90f2bd2f58c482b25a1e1db0f8e4ca26"
        },
        "hrlegalv_002": {
            "title": "法人预览",
            "caption": "法人",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HRLegalV_002",
            "viewtag": "9420eeffff765c2a6e4ac27dfae7fb2d"
        },
        "hremployeegridview": {
            "title": "员工表格视图",
            "caption": "员工",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HREmployeeGridView",
            "viewtag": "9559258a9c3ac118e15ead941b780682"
        },
        "hromhierarchycateditview": {
            "title": "结构层次类别编辑视图",
            "caption": "结构层次类别",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HROMHierarchyCatEditView",
            "viewtag": "aa2c4d945f9d880dd836ebe74ca9f547"
        },
        "hrlegalv_001": {
            "title": "快速新建",
            "caption": "快速新建",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Base",
            "viewname": "HRLegalV_001",
            "viewtag": "af1a0e288eecf89cd99ed798594e1753"
        },
        "hrorganizationeditview": {
            "title": "组织编辑视图",
            "caption": "组织",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HROrganizationEditView",
            "viewtag": "b4ef4b87eb87fc3a2a8479027d62ac4c"
        },
        "hremployeeeditview": {
            "title": "员工编辑视图",
            "caption": "员工",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HREmployeeEditView",
            "viewtag": "b932c0eb66409c638c29ee27ba4fda37"
        },
        "hromhierarchytreeexpview": {
            "title": "组织层次结构树导航视图",
            "caption": "组织层级结构",
            "viewtype": "DETREEEXPVIEW",
            "viewmodule": "Base",
            "viewname": "HROMHierarchyTreeExpView",
            "viewtag": "bf1effbdf9fb9d7d2a1c9d281ab35441"
        },
        "hroperationunittabexpview": {
            "title": "运营单位",
            "caption": "运营单位",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Base",
            "viewname": "HROperationUnitTabExpView",
            "viewtag": "bf8512a46ea22c59413ae598a88eda3a"
        },
        "hroperationunitv_001": {
            "title": "快速新建",
            "caption": "快速新建",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Base",
            "viewname": "HROperationUnitV_001",
            "viewtag": "d32b549b3c49b790b092eca97d1de2c1"
        },
        "hroperationunitdashboardview": {
            "title": "运营单位信息看板",
            "caption": "运营单位",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Base",
            "viewname": "HROperationUnitDashboardView",
            "viewtag": "e249cd84a7d955affe21832bbe41c40a"
        },
        "hrlegaleditview": {
            "title": "法人编辑视图",
            "caption": "法人",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HRLegalEditView",
            "viewtag": "e50ad3e1883bafa2d6f264d44ca8ff89"
        },
        "hrorganizationpickupview": {
            "title": "组织数据选择视图",
            "caption": "组织",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Base",
            "viewname": "HROrganizationPickupView",
            "viewtag": "e7ba37699bd458dc8dd5c02abac8dadd"
        },
        "hrlegaltabexpview": {
            "title": "法人信息",
            "caption": "法人信息",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Base",
            "viewname": "HRLegalTabExpView",
            "viewtag": "f6a6d0da81100b5a69aba1b9b967b6ab"
        }
    }];
});